SystemOrganization addCategory: #'Seaside-Tests-Adaptors-Comanche'!

WADocumentHandlerResponseTest subclass: #WAComancheDocumentHandlerResponseTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Adaptors-Comanche'!

!WAComancheDocumentHandlerResponseTest methodsFor: 'testing' stamp: 'lr 1/21/2009 22:15'!
assertHttpResponseFrom: aResponse matches: aHandler 
	| httpResponse kom |
	super 
		assertHttpResponseFrom: aResponse
		matches: aHandler.
	kom := WAComancheAdaptor new.
	[ httpResponse := kom convertResponse: aResponse ]
		ensure: [ kom unregister ].
	self assert: httpResponse status == #ok.
	self assert: httpResponse contentType = aHandler document mimeType seasideString.
	self assert: httpResponse contentLength = aHandler document contents size.
	httpResponse fields keysAndValuesDo: [ :key :value | 
		self assert: (self headerAt: key forResponse: aResponse) seasideString = value ].
	aResponse headers keysAndValuesDo: [ :key :value |
		self assert: (key = 'Content-Type' or: [ (httpResponse fields at: key) = value seasideString ]) ].
	self assert: httpResponse cookies isEmpty! !

!WAPackage class methodsFor: '*seaside-tests-adaptors-comanche' stamp: 'pmm 12/13/2008 22:28'!
seasideTestsAdaptorsComanche
	^ self new
		name: 'Seaside-Tests-Adaptors-Comanche';
		description: 'Unit tests for the package Seaside-Adaptors-Comanche.';
		addDependency: 'Seaside-Adaptors-Comanche';
		yourself! !
